com.smartgwt.client.widgets.drawing

## Class RadialGradient

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.drawing.Gradient
      - - com.smartgwt.client.widgets.drawing.RadialGradient

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class RadialGradient
      extends Gradient

  Definition of a radial gradient.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RadialGradient()`
    `RadialGradient(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCx()` x coordinate of outer radial
    `java.lang.String` | `getCy()` y coordinate of outer radial
    `java.lang.String` | `getFx()` x coordinate of inner radial
    `java.lang.String` | `getFy()` y coordinate of inner radial
    `static RadialGradient` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getR()` radius
    `void` | `setCx(java.lang.String cx)` x coordinate of outer radial
    `void` | `setCy(java.lang.String cy)` y coordinate of outer radial
    `void` | `setFx(java.lang.String fx)` x coordinate of inner radial
    `void` | `setFy(java.lang.String fy)` y coordinate of inner radial
    `void` | `setR(java.lang.String r)` radius

    - ### Methods inherited from class com.smartgwt.client.widgets.drawing.Gradient

      `getColorStops, getEndColor, getId, getStartColor, setColorStops, setEndColor, setId, setStartColor`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RadialGradient

          public RadialGradient()

    - #### RadialGradient

          public RadialGradient(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static RadialGradient getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setCx

          public void setCx(java.lang.String cx)

      x coordinate of outer radial
      Parameters:
        `cx` - New cx value. Default value is null

    - #### getCx

          public java.lang.String getCx()

      x coordinate of outer radial
      Returns:
        Current cx value. Default value is null

    - #### setCy

          public void setCy(java.lang.String cy)

      y coordinate of outer radial
      Parameters:
        `cy` - New cy value. Default value is null

    - #### getCy

          public java.lang.String getCy()

      y coordinate of outer radial
      Returns:
        Current cy value. Default value is null

    - #### setFx

          public void setFx(java.lang.String fx)

      x coordinate of inner radial
      Parameters:
        `fx` - New fx value. Default value is null

    - #### getFx

          public java.lang.String getFx()

      x coordinate of inner radial
      Returns:
        Current fx value. Default value is null

    - #### setFy

          public void setFy(java.lang.String fy)

      y coordinate of inner radial
      Parameters:
        `fy` - New fy value. Default value is 0

    - #### getFy

          public java.lang.String getFy()

      y coordinate of inner radial
      Returns:
        Current fy value. Default value is 0

    - #### setR

          public void setR(java.lang.String r)

      radius
      Parameters:
        `r` - New r value. Default value is null

    - #### getR

          public java.lang.String getR()

      radius
      Returns:
        Current r value. Default value is null